# Copyright 2014 Kevin Ryde
#
# This file is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3, or (at your option) any later
# version.
#
# This file is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this file.  See the file COPYING.  If not, see
# <http://www.gnu.org/licenses/>.

/*   a  b  c  d  e  f  g h */
m = [1, 0, 0, 1, 0, 0, 0,1;  /* adh end current */ \
     1, 0, 0,-1,-1, 0, 0,0;  /* a-de cycle */ \
     0, 1, 0, 0, 0,-1,-1,0;  /* b-fg cycle */ \
     0, 0, 1, 0,-1,-1, 0,0;  /* c-ef cycle */ \
     0, 0, -1,1,-1, 0, 0,1;  /* dh-ce point */ \
     1,-1, 0, 0, 1,-1, 0,0;  /* ae-bf point */ \
     0,-1, 1, 0, 0, 1,-1,0;  /* cf-bg point */ \
     0, 0, 0, 1, 0, 0, 0,-2  /* d-2h cycle */ \
     ]
v = [1;0;0;0; 0;0;0;0]
s = matsolve(m,v)
     \\ 0,-1, 1, 0, 0, 1,-1; \
     \\ 0, 1,-1, 0, 0,-1, 1  \

\\ Ia=16/29  =Va
\\ total V=a+b+c+d = 51/29
\\ R=V/I = 88/
t = 37/76 + 31/76 + 7/19 + 13/38
t = s[1,1] + s[2,1] + s[3,1] + s[4,1]

\\ /*   a  b  c  d  e  f  g  */
\\ m = [1, 0, 0, 1, 0, 0, 0; \
\\      0, 0,-1, 1,-1, 0, 0; \
\\      1,-1, 0, 0, 1,-1, 0; \
\\      0,-1, 1, 0, 0, 1,-1; \
\\      0, 1,-1, 0, 0,-1, 1; \
\\      0, 0, 0, 0, 0, 0, 0; \
\\      0, 0, 0, 0, 0, 0, 0]
\\ v = [1;0;0;0;0;0;0]
\\ matsolve(m,v)

\\ /*   a b c  d  e  f  g  */
\\ m = [1,0,0,-1,-1, 0, 0; \
\\      0,1,0, 0,-1,-1, 0; \
\\      0,0,1, 0, 0,-1,-1; \
\\      1,1,1, 1, 0, 0, 0; \
\\      0,0,0, 0, 0, 0, 0; \
\\      0,0,0, 0, 0, 0, 0; \
\\      0,0,0, 0, 0, 0, 0]
\\ v = [0;0;0;1;0;0;0]
\\ matsolve(m,v)
